

## Note

Leo goes to stance by holding 5H.

While in "stance" **can't block**, but can use parry.


# Normals

## 5H

> Gatlings into 6H and 2D
 
> **Level 4** move and `-3` on block. On **IB**, it's `-7`, therefore our available options are:
> - 5P
> - 2P
> - 5K (longest range button from the listed ones, active at frame `7`, therefore the punish has to be frameperfect)
> - 2K (Has a lil\' shorter range than `5K` yet it's active at frame `5`, allowing more consistency) 
> - c.S (use if close enough)

The punishes are also tied to proximity.

For consistency due to 5K requiring to be frameperfect to gain slightly more range, **I** recommend going through the 2K routing when available.

2K whiffs slightly after the rounds-tart distance, where 5K .

> **Important Disclaimer:**\
> **All of this options get smoked by 5H>2D frametrap!!**\
> Leo's 2D CH **allows for combo pickup**\
> All of this options beat 5H>6H

### Routes

#### 5K

##### Round start

- `5K > f.S > 5H > Bridal/5H*4`, damage: 89/80

- `5K > 2S > 5H > Bridal/5H*4`, damage: 87/78

- `5K > f.S > 2S > 5H > 5H*4`, damage: 102

- `5K > 2D`, damage: 43

[5H_punish_5K_roundstart.mp4](src/Normals/5H/5H_punish_5K_roundstart.mp4)

##### Slightly past round start

- `5K > f.S > 5H > 5H*4`

- `5K > 2S > 5H > Bridal/5H*4`

> The bridal ender route is quite finicky due to range and requires 2S to work, yet, if the spacing is slightly further, bridal will be blocked, therefore for consistency is recommended to be skipped. 

[5H_punish_5K_slightly_past_roundstart.mp4](src/Normals/5H/5H_punish_5K_slightly_past_roundstart.mp4)

##### Peak range

- `5K > f.S > 5H > 5H*4`

Further than this distance, 5K will whiff.

[5H_punish_5K_slightly_past_roundstart_max_range.mp4](src/Normals/5H/5H_punish_5K_slightly_past_roundstart_max_range.mp4)


#### 2K

> **Note:**\
> Recommended option.

- `2K > f.S > 5H > Bridal/5H*4`, damage: 63/70

- `2K > 2S > 5H > Bridal/5H*4`, damage: 62/69

- `2K > f.S > 2S > 5H > 5H*4`, damage: 79

- `2K > 2D`, damage: 34

[5H_punish_2K_roundstart.mp4](src/Normals/5H/5H_punish_2K_roundstart.mp4)


# Special Moves

## Graviert Würde

The fireballs.

IDK idc.

Deal with it.

H version disappears if Leo is hit.

## Eisen Sturm

https://www.dustloop.com/w/GGXRD-R2/Leo_Whitefang#Eisen_Sturm

The DP


S version:

H version:

### w Shotgun

#### Point Blank Corner

> charge shotgun > SG.S > [SG.H] > charge shotgun > [SG.H]*2 > SG.S > 236P > [SG.H]x3 > SG.S > berry toss > charge shotgun > SG.S > [SG.H] > 6H > 236P

[Punish_Eisen_Sturm_H_w_Shotgun_PointBlank_Corner.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_w_Shotgun_PointBlank_Corner.mp4)

#### Corner

- Just requires being slightly spaced from Leo, enough to not get crossed up basically.

SG.H hits in the air
https://twitter.com/zmasasi/status/1018378921786527744

Keys to success:

Pull berry when Leo is reaching the top, it will autotime SG.H at the right height

#### Midscreen

##### SG.D

- Pull berry ASAP
- delay throwing berry substantially.
- You want to press `SG.S > Bridal` when Leo's swords touch the ground.
- Quite tricky to get right and consistently.
- Can't recommend over the next combo

> Pull berry ... > SG.D ~ 4Toss ~ SG.S > Bridal ~ SG.S > [SG.H] > IAD j.S > j.D > c.S > j.K > j.S > j.H > j.D > j.236P |> 2Toss 

[Punish_Eisen_Sturm_H_w_Shotgun_midscreen_demolish.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_w_Shotgun_midscreen_demolish.mp4)

##### SG.D SG Loops

Same route from above, but this time doing `SG.S > Bridal, [SG.H]` instead of `SG.S > [SG.H] > IAD j.S` to proceed with shotgun loops in the corner.

Even more funky than the previous SG.D route, as this one requires Leo to be hit by the PineBerry explosion at a lower height, otherwise `SG.S > Bridal` will whiff.

> Pull berry ... > SG.D ~ 4Toss ~ SG.S > Bridal, SG.S > Bridal > [SG.H]*whatever 

[Punish_Eisen_Sturm_H_w_Shotgun_midscreen_demolish_loops.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_w_Shotgun_midscreen_demolish_loops.mp4)

##### c.S BnB

A lot easier and more consistent at the expense of 30 of damage +/- (comparing with the SG.D route)

> c.S > j.S > jc j.K ~ j.S ~ j.H ~ j.D ~ j.236P

[Punish_Eisen_Sturm_H_w_Shotgun_cS_midscreen_BnB.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_w_Shotgun_cS_midscreen_BnB.mp4)

##### c.S 2P rejump

- Better oki and damage compared with the previous route.
- Quite more finiky but w/e

> c.S > j.K ~ j.S ~ j.H |> 2P > c.S > j.K > j.S > j.H > j.D > j.236P

[Punish_Eisen_Sturm_H_w_Shotgun_cS_midscreen_2p_rejump.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_w_Shotgun_cS_midscreen_2p_rejump.mp4)

### wo Shotgun

#### Corner

> c.S > j.K ~ j.S ~ j.H ~ j.D |> 2H > 236P, 5P > c.S > j7H ~ j.toss  

[Punish_Eisen_Sturm_H_cS_j7H_oki.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_cS_j7H_oki.mp4)

> c.S > j.K ~ j.S ~ j.H ~ j.D |> 2H > 236P, 5P > c.S > j7H ~ j.toss  

[Punish_Eisen_Sturm_H_cS_j7H_oki_height_dependant.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_cS_j7H_oki_height_dependant.mp4)

> c.S > j.S ~ jc j.K ~ j.S ~ j.H ~ j.D |> 2H > 236P, 5P > c.S > j7H ~ j.toss  

#### Midscreen

Elphelt non counterhit c.S antiair BnB with berry pulled

- 195/196 damage

[Punish_Eisen_Sturm_H_cS_midscreen_BnB.mp4](src/Specials/Eisen_Sturm/Punish_Eisen_Sturm_H_cS_midscreen_BnB.mp4)

## Kaltes Gestöber Zweit

Leo benefit is nothing meaningful unless RRC or counterhit.